POST api/FactoryPlant/GetDispatchList
Request Information
URI Parameters
None.
Body Parameters
jQueryTableModel| Name | Description | Type | Additional information |
|---|---|---|---|
| sEcho | string |
None. |
|
| sSearch | string |
None. |
|
| iDisplayLength | integer |
None. |
|
| iDisplayStart | integer |
None. |
|
| iColumns | integer |
None. |
|
| iSortingCols | integer |
None. |
|
| sColumns | string |
None. |
|
| iSortCol_0 | integer |
None. |
|
| sSortDir_0 | string |
None. |
|
| aoData | Collection of string |
None. |
|
| DairyPlantID | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"sEcho": "sample string 1",
"sSearch": "sample string 2",
"iDisplayLength": 3,
"iDisplayStart": 4,
"iColumns": 5,
"iSortingCols": 6,
"sColumns": "sample string 7",
"iSortCol_0": 8,
"sSortDir_0": "sample string 9",
"aoData": [
"sample string 1",
"sample string 2"
],
"dairyPlantID": 10
}
application/xml, text/xml
Sample:
<jQueryTableModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
<DairyPlantID>10</DairyPlantID>
<aoData xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</aoData>
<iColumns>5</iColumns>
<iDisplayLength>3</iDisplayLength>
<iDisplayStart>4</iDisplayStart>
<iSortCol_0>8</iSortCol_0>
<iSortingCols>6</iSortingCols>
<sColumns>sample string 7</sColumns>
<sEcho>sample string 1</sEcho>
<sSearch>sample string 2</sSearch>
<sSortDir_0>sample string 9</sSortDir_0>
</jQueryTableModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Collection of Dispatch| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| FpoId | integer |
None. |
|
| TpoId | integer |
None. |
|
| InvoiceId | integer |
None. |
|
| ChallanId | integer |
None. |
|
| CurrentUserId | integer |
None. |
|
| PoNo | string |
None. |
|
| TpoNo | string |
None. |
|
| FpoNo | string |
None. |
|
| ChallanNo | string |
None. |
|
| InvoicenNo | string |
None. |
|
| Shift | string |
None. |
|
| DistributorId | integer |
None. |
|
| InvoiceNo | string |
None. |
|
| DairyPlantID | integer |
None. |
|
| DairyPlantCode | string |
None. |
|
| DistributorName | string |
None. |
|
| Amount | decimal number |
None. |
|
| NetAmount | decimal number |
None. |
|
| GST | decimal number |
None. |
|
| CashDiscount | decimal number |
None. |
|
| TPODate | date |
None. |
|
| ProductSupplyDate | date |
None. |
|
| CreatedOn | date |
None. |
|
| DispatchDate | date |
None. |
|
| CreatedBy | integer |
None. |
|
| CreatedByname | string |
None. |
|
| Status | integer |
None. |
|
| IsDelete | boolean |
None. |
|
| UpdatedOn | date |
None. |
|
| UpdatedBy | integer |
None. |
|
| EmailId | string |
None. |
|
| Phone | string |
None. |
|
| IsEditDisplay | boolean |
None. |
|
| IsDispatch | boolean |
None. |
|
| IsFpo | boolean |
None. |
|
| IsRemark | boolean |
None. |
|
| Remark | string |
None. |
|
| IsDelivered | integer |
None. |
|
| DeliveryDate | date |
None. |
|
| DeliveredBy | integer |
None. |
|
| DeliverdUserName | string |
None. |
|
| IsSecurityCheck | integer |
None. |
|
| SecurityStatus | string |
None. |
|
| SecurityRemarks | string |
None. |
|
| SecurityCheckDate | date |
None. |
|
| SecurityCheckBy | integer |
None. |
|
| SecurityCheckByName | string |
None. |
|
| BarcodeID | string |
None. |
|
| TruckSheetNo | string |
None. |
|
| TruckID | integer |
None. |
|
| DeviationID | integer |
None. |
|
| SecurityStatusList | Collection of SelectListItem |
None. |
|
| distributor | Distributor |
None. |
|
| fpoItemsList | Collection of ReceiveFPO |
None. |
|
| tpoPayment | TpoPayment |
None. |
|
| gSTInfo | GSTInfo |
None. |
|
| DueAmount | decimal number |
None. |
|
| BarcodeValue | string |
None. |
|
| IsLoaded | integer |
None. |
|
| LoadedDate | date |
None. |
|
| LoadedBy | integer |
None. |
|
| LoadedByName | string |
None. |
|
| InTransit | boolean |
None. |
|
| TransitedDate | date |
None. |
|
| TransitedBy | integer |
None. |
|
| TransitedByName | string |
None. |
|
| dispatchItemList | Collection of DispatchItem |
None. |
|
| TotalRecord | integer |
None. |
|
| Row | integer |
None. |
|
| IsAllowDeviation | integer |
None. |
Response Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.